Make WordPress Core

Opened 10 years ago

Closed 10 years ago

#2718 closed defect (bug) (invalid)

WordPress database error connected to upload problem

Reported by: venator48 Owned by:
Milestone: Priority: highest omg bbq
Severity: blocker Version: 1.2.2
Component: Administration Keywords:
Focuses: Cc:


Yesterday afternoon, I tried to add an additional Comment in reply to a new Comment to an older posting. The upload failed, and somehow created a database error which has paralysed the blog.


At the upper edge of the screen, one finds these error messages:

WordPress database error: [Got error 127 from storage engine]
SELECT DISTINCT * FROM wp_posts WHERE 1=1 AND post_date_gmt <= '2006-05-12 16:57:59' AND (post_status = "publish" OR post_author = 1 AND post_status != 'draft' AND post_status != 'static') AND post_status != "attachment" GROUP BY wp_posts.ID ORDER BY post_date DESC LIMIT 0, 50

WordPress database error: [Got error 127 from storage engine]
SELECT DISTINCT YEAR(post_date) AS year, MONTH(post_date) AS month, count(ID) as posts FROM wp_posts WHERE post_date < '2006-05-12 08:57:16' AND post_date != '0000-00-00 00:00:00' AND post_status = 'publish' GROUP BY YEAR(post_date), MONTH(post_date) ORDER BY post_date DESC

Below you get the header & second and third columns, and no postings, with the following:

Not Found
Sorry, but you are looking for something that isn't here.

Unfortunately, I am using Yahoo as a host, and I do not have access to try to repair SQL databases myself.

This is a real mess, and I fear I may lose about 1000 postings, dating bac to the blog's initiation 29 October 2005.

Change History (2)

#1 @venator48
10 years ago

  • Priority changed from normal to highest
  • Severity changed from normal to blocker
  • Version changed from 1.2 to 1.2.2

#2 @westi
10 years ago

  • Resolution set to invalid
  • Status changed from new to closed

Error 127 is Record-file is crashed

You need to repair you tables see this for how to do this - [tamba2.org.uk/wordpress/repair/]

See also - http://wordpress.org/support/topic/39175?replies=4

Note: See TracTickets for help on using tickets.